Delete coupon
curl --request DELETE \
--url https://api.komerza.com/stores/{storeId}/coupons/{couponId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/coupons/{couponId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/coupons/{couponId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Coupons
Delete Coupon
Deletes an existing coupon from the store.
Requires the stores.coupons.delete permission.
DELETE
/
stores
/
{storeId}
/
coupons
/
{couponId}
Delete coupon
Authorizations
Your API key goes here
Path Parameters
The ID of the store the coupon belongs to
The ID of the coupon to delete
Response
The object was successfully deleted.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Last modified on August 29, 2025